Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.domain
Class EPPDomainTransferResp

    java.lang.Object
      com.verisign.epp.codec.gen.EPPResponse
          com.verisign.epp.codec.domain.EPPDomainTransferResp

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPDomainTransferResp

extends EPPResponse

Represents an EPP Domain <domain:transfer-data> response to an `EPPDomainTransferCmd`. When a <transfer> query command has been processed successfully, the EPP <resData> element MUST contain a child <domain:trnData> element that identifies the domain namespace and the location of the domain schema. The <domain:trnData> element SHALL contain the following child elements:

- A <domain:name> element that contains the fully qualified domain name used in the query. Use `getName` and `setName` to get and set the element.
- A <domain:reID> element that contains the identifier of the client that initiated the transfer request. Use `getRequestClient` and `setRequestClient` to get and set the element.
- A <domain:acID> element that contains the identifier of the client that SHOULD respond to the transfer request. Use `getActionClient` and `setActionClient` to get and set the element.
- A <domain:trStatus> element that contains the state of the most recent transfer request. Valid values are "PENDING", "APPROVED", "REJECTED", "AUTO-APPROVED", "AUTO-REJECTED", and "CANCELLED". Use `getStatus` and `setStatus` with the `EPPDomainTransferResp.STATUS_` constants to get and set the element.
- A <domain:reDate> element that contains the date and time that the transfer was requested. Use `getRequestDate` and `setRequestDate` to get and set the element.
- A <domain:acDate> element that contains the date and time of a required or completed response. For a PENDING request, the value identifies the date and time by which a response is required before an automated response action MUST be taken by the server. For all other status types, the value identifies the date and time when the request was completed. Use `getActionDate` and `setActionDate` to get and set the element.
- An OPTIONAL <domain:exDate> element that contains the end of the domain's validity period if the <transfer> command caused or causes a change in the validity period. Use `getExpirationDate` and `setExpirationDate` to get and set the element.

Version:
  $Revision: 1.3 $
Author:
  $Author: jim $
See Also:
  `EPPDomainTransferCmd`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPResponse
`extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

Constructor Summary
`EPPDomainTransferResp()` `EPPDomainTransferResp` default constructor.
`EPPDomainTransferResp(EPPTransId aTransId, java.lang.String aName)` `EPPDomainTransferResp` which takes the name of domain.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPDomainTransferResp`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPDomainTransferResp` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPDomainTransferResp` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPDomainTransferResp` with this instance.
`java.lang.String` | `getActionClient()` Gets the identifier of the client that SHOULD respond to the transfer request.
`java.util.Date` | `getActionDate()` Gets the date and time of a required or completed response.
`java.util.Date` | `getExpirationDate()` Gets the optional attribute that contains the end of the domain's validity period if the transfer command caused or causes a change in the validity period.
`java.lang.String` | `getName()` Gets the domain name
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPDomainTransferResp`.
`java.lang.String` | `getRequestClient()` Gets the identifier of the client that initiated the transfer request.
`java.util.Date` | `getRequestDate()` Gets the date and time that the transfer was requested.
`java.lang.String` | `getTransferStatus()` Gets the state of the most recent transfer request.
`java.lang.String` | `getType()` Gets the EPP response type associated with `EPPDomainTransferResp`.
`void` | `setActionClient(java.lang.String aActionClient)` Sets the identifier of the client that SHOULD respond to the transfer request.
`void` | `setActionDate(java.util.Date aActionDate)` Sets the date and time of a required or completed response.
`void` | `setExpirationDate(java.util.Date aExpirationDate)` Sets the optional attribute that contains the end of the domain's validity period if the transfer command caused or causes a change in the validity period.
`void` | `setName(java.lang.String aName)` Sets the domain name.
`void` | `setRequestClient(java.lang.String aRequestClient)` Sets the identifier of the client that initiated the transfer request.
`void` | `setRequestDate(java.util.Date aRequestDate)` Sets the date and time that the transfer was requested.
`void` | `setTransferStatus(java.lang.String aTransferStatus)` Sets the state of the most recent transfer request.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPResponse
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPDomainTransferResp

    public EPPDomainTransferResp()

  `EPPDomainTransferResp` default constructor. Must call required setter methods before invoking `encode`, which include:
  - name - `setName`
  - request client - `setRequestClient`
  - action client - `setActionClient`
  - transfer status - `setTransferStatus`
  - request date - `setReqeustDate`
  - action date - `setActionDate`
  - transaction id - `setTransId`

### EPPDomainTransferResp

    public EPPDomainTransferResp(EPPTransId aTransId,
                                 java.lang.String aName)

  `EPPDomainTransferResp` which takes the name of domain. All other required attributes need to be set using the setter methods, which include:
  - request client - `setRequestClient`
  - action client - `setActionClient`
  - transfer status - `setTransferStatus`
  - request date - `setReqeustDate`
  - action date - `setActionDate`

  Parameters:
    `aTransId` - Transaction Id associated with response.
    `aName` - Domain name

Method Detail

### getType

    public java.lang.String getType()

  Gets the EPP response type associated with `EPPDomainTransferResp`.

  Overrides:
    `getType` in class `EPPResponse`
  Returns:
    `EPPDomainTransferResp.ELM_NAME`

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPDomainTransferResp`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Overrides:
    `getNamespace` in class `EPPResponse`
  Returns:
    `EPPDomainMapFactory.NS`

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPDomainTransferResp` instance.

  Overrides:
    `doEncode` in class `EPPResponse`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the `EPPDomainTransferResp` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPDomainTransferResp` instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPDomainTransferResp` attributes from the aElement DOM Element tree.

  Overrides:
    `doDecode` in class `EPPResponse`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPDomainTransferResp` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPDomainTransferResp` with this instance.

  Overrides:
    `equals` in class `EPPResponse`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPDomainTransferResp`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPResponse`
  Returns:
    clone of `EPPDomainTransferResp`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPResponse`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getName

    public java.lang.String getName()

  Gets the domain name

  Returns:
    Domain Name if set; `null` otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets the domain name.

  Parameters:
    `aName` - Domain Name

### getRequestClient

    public java.lang.String getRequestClient()

  Gets the identifier of the client that initiated the transfer request.

  Returns:
    The Request Client Id `String` if defined; `null` otherwise.

### setRequestClient

    public void setRequestClient(java.lang.String aRequestClient)

  Sets the identifier of the client that initiated the transfer request.

  Parameters:
    `aRequestClient` - The Request Client Id `String`

### getActionClient

    public java.lang.String getActionClient()

  Gets the identifier of the client that SHOULD respond to the transfer request.

  Returns:
    The Request Client Id `String` if defined; `null` otherwise.

### setActionClient

    public void setActionClient(java.lang.String aActionClient)

  Sets the identifier of the client that SHOULD respond to the transfer request.

  Parameters:
    `aActionClient` - The Action Client Id `String`

### getTransferStatus

    public java.lang.String getTransferStatus()

  Gets the state of the most recent transfer request. This should be one of the `EPPResponse.TRANSFER` constants.

  Returns:
    The transfer status `String` if defined; `null` otherwise.

### setTransferStatus

    public void setTransferStatus(java.lang.String aTransferStatus)

  Sets the state of the most recent transfer request. This should be one of the `EPPResponse.TRANSFER` constants.

  Parameters:
    `aTransferStatus` - The transfer status String (`EPPResponse.TRANSFER`)

### getRequestDate

    public java.util.Date getRequestDate()

  Gets the date and time that the transfer was requested.

  Returns:
    The request date and time if defined; `null` otherwise.

### setRequestDate

    public void setRequestDate(java.util.Date aRequestDate)

  Sets the date and time that the transfer was requested.

  Parameters:
    `aRequestDate` - The request date and time

### getActionDate

    public java.util.Date getActionDate()

  Gets the date and time of a required or completed response.

  Returns:
    The required or complete response data and time if defined; `null` otherwise.

### setActionDate

    public void setActionDate(java.util.Date aActionDate)

  Sets the date and time of a required or completed response.

  Parameters:
    `aActionDate` - The required or complete response data and time.

### getExpirationDate

    public java.util.Date getExpirationDate()

  Gets the optional attribute that contains the end of the domain's validity period if the transfer command caused or causes a change in the validity period.

  Returns:
    Transfer expiration data and time if defined; `null` otherwise.

### setExpirationDate

    public void setExpirationDate(java.util.Date aExpirationDate)

  Sets the optional attribute that contains the end of the domain's validity period if the transfer command caused or causes a change in the validity period.

  Parameters:
    `aExpirationDate` - Transfer expiration data and time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.